// 搜索用的下拉数据列表

// 课程类型
const courseType = [
  { label: "单技课", value: "SINGLE" },
  { label: "合奏课", value: "MIX" },
  { label: "基础技能课", value: "HIGH" },
  { label: "vip课", value: "VIP" },
  { label: "试听课", value: "DEMO" },
  { label: "综合课", value: "COMPREHENSIVE" },
  { label: "网管课", value: "PRACTICE" },
  { label: "启蒙课", value: "ENLIGHTENMENT" },
  { label: "集训单技课", value: "TRAINING_SINGLE" },
  { label: "集训合奏课", value: "TRAINING_MIX" },
  { label: "课堂课", value: "CLASSROOM" },
  { label: "对外课", value: "COMM" }
]
const courseListType = [
  { label: "乐团课", value: "MUSIC" },
  { label: "VIP课", value: "VIP" },
  { label: "网管课", value: "PRACTICE" },
  
]

// 考勤状态
const attendance = [
  { label: '正常签到', value: 1 },
  { label: '异常签到', value: 0 },
]

// 工作类型
const jobNature = [
  { label: '兼职', value: 'PART_TIME' },
  { label: '全职', value: 'FULL_TIME' },
  { label: '临时工', value: 'TEMPORARY' }
]

// 老师状态
const teacherStatus = [
  { label: '正常', value: '0' },
  { label: '冻结', value: '1' },
  { label: '锁定', value: '9' }
]

// 考勤状态
const attendanceStatus = [
  { value: "NORMAL", label: "正常" },
  { value: "TRUANT", label: "旷课" },
  { value: "LEAVE", label: "请假" },
  { value: "QUIT_SCHOOL", label: "退学" },
  // { value: "DROP_OUT", label: "休学" }
]

// 交易状态
const orderStatus = [
  { value: "APPLY", label: "报名" },
  { value: "RENEW", label: "续费" },
  { value: "OTHER", label: "其他" },
  { value: "SMALL_CLASS_TO_BUY", label: "VIP购买" },
  { value: "SPORADIC", label: "零星收费" },
  { value: "LUCK", label: "福袋活动" },
  { value: "PRACTICE_GROUP_BUY", label: "网管课" }, 
  {value:'PRACTICE_GROUP_RENEW',label:'网管课续费'}
  
]

// 交易状态
const dealStatus = [
  { value: "ING", label: "交易中" },
  { value: "SUCCESS", label: "成功交易" },
  { value: "FAILED", label: "交易失败" },
  { value: "CLOSE", label: "交易关闭" }
]

const musicGroupStatus = [
  { value: 'APPLY', text: '报名中' },
  { value: 'PAY', text: '缴费中' },
  { value: 'PREPARE', text: '筹备中' },
  { value: 'PROGRESS', text: '进行中' },
  { value: 'PAUSE', text: '暂停' },
  { value: 'DRAFT', text: '编辑中' },
  { value: 'AUDIT', text: '审核中' },
  { value: 'AUDIT_FAILED', text: '审核失败' },
  { value: 'CANCELED', text: '取消' },
]

const vipGroupStatus = [
  { value: '0', text: '未开始' },
  { value: '1', text: '报名中' },
  { value: '5', text: '报名结束' },
  { value: '2', text: '进行中' },
  { value: '4', text: '已结束' },
  { value: '3', text: '取消' },
  { value: '6', text: '暂停' },
]

// 课程状态
const courseStatus = [
  { value: "NOT_START", label: "未开始" },
  { value: "UNDERWAY", label: "进行中" },
  { value: "OVER", label: "已结束" },
]
const courseGroupStatus = [
  { value: "NORMAL", label: "正常" },
  { value: "LOCK", label: "锁定" },
  { value: "FINISH", label: "结束" },
  { value: "CANCEL", label: "取消" },
]
const commGroupStatus = [
  { value: "NORMAL", label: "进行中" },
  { value: "FINISH", label: "结束" },
  { value: "CANCEL", label: "关闭" },
]
// 老师时间充值状态
const teacherTimeStatus = [
  { value: "RECHARGE", label: "充值" },
  { value: "CONSUME", label: "建课" },
  { value: "RETURN", label: "退课" },
  { value: "MANUAL_ADD", label: "系统充值" },
  { value: "MANUAL_SUB", label: "系统扣除" },
]

const practiceGroupType = [
  { value: "FREE", label: "免费" },
  { value: "CHARGE", label: "收费" },
  { value: "TRIAL", label: "试听课" },
]

export {
  courseType,
  attendance,
  jobNature,
  teacherStatus,
  attendanceStatus,
  orderStatus,
  dealStatus,
  musicGroupStatus,
  vipGroupStatus,
  courseStatus,
  teacherTimeStatus,
  courseGroupStatus,
  commGroupStatus,
  courseListType,
  practiceGroupType
}
